Package org.mariadb.jdbc.util.constants

# Class ColumnFlags

java.lang.Object
org.mariadb.jdbc.util.constants.ColumnFlags

public final class ColumnFlags extends Object
Column flag see https://mariadb.com/kb/en/result-set-packets/#field-details-flag

## Field Summary

Fields
Modifier and Type
Field
Description
`static final short`
`AUTO_INCREMENT`
Does column auto-increment
`static final short`
`BINARY_COLLATION`
Is binary value
`static final short`
`BLOB`
Does this column contain blob
`static final short`
`ENUM`
Is column of type enum
`static final short`
`MULTIPLE_KEY`
Is this column part of a multiple column key
`static final short`
`NO_DEFAULT_VALUE_FLAG`
Does column have no default value
`static final short`
`NOT_NULL`
must a column have non-null value only
`static final short`
`PRIMARY_KEY`
Is column a primary key
`static final short`
`SET`
Is column type set
`static final short`
`TIMESTAMP`
Is column of type Timestamp
`static final short`
`UNIQUE_KEY`
Is this column a unique key
`static final short`
`UNSIGNED`
Is column number value unsigned
`static final short`
`ZEROFILL`
Must number value be filled with Zero

## Constructor Summary

Constructors
Constructor
Description
`ColumnFlags()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NOT_NULL

public static final short NOT_NULL
must a column have non-null value only

See Also:
  - Constant Field Values

### PRIMARY_KEY

public static final short PRIMARY_KEY
Is column a primary key

See Also:
  - Constant Field Values

### UNIQUE_KEY

public static final short UNIQUE_KEY
Is this column a unique key

See Also:
  - Constant Field Values

### MULTIPLE_KEY

public static final short MULTIPLE_KEY
Is this column part of a multiple column key

See Also:
  - Constant Field Values

### BLOB

public static final short BLOB
Does this column contain blob

See Also:
  - Constant Field Values

### UNSIGNED

public static final short UNSIGNED
Is column number value unsigned

See Also:
  - Constant Field Values

### ZEROFILL

public static final short ZEROFILL
Must number value be filled with Zero

See Also:
  - Constant Field Values

### BINARY_COLLATION

public static final short BINARY_COLLATION
Is binary value

See Also:
  - Constant Field Values

### ENUM

public static final short ENUM
Is column of type enum

See Also:
  - Constant Field Values

### AUTO_INCREMENT

public static final short AUTO_INCREMENT
Does column auto-increment

See Also:
  - Constant Field Values

### TIMESTAMP

public static final short TIMESTAMP
Is column of type Timestamp

See Also:
  - Constant Field Values

### SET

public static final short SET
Is column type set

See Also:
  - Constant Field Values

### NO_DEFAULT_VALUE_FLAG

public static final short NO_DEFAULT_VALUE_FLAG
Does column have no default value

See Also:
  - Constant Field Values

## Constructor Details

### ColumnFlags

public ColumnFlags()